#ifndef MAIN_WINDOW_H
#define MAIN_WINDOW_H

#include <QMainWindow>
#include <QToolBar>

#include "mesh_viewer.h"
#include "my_mesh.h"


class MainWindow : public QMainWindow {
	Q_OBJECT

public:
	MainWindow(QWidget *parent=nullptr);
	void open(const QString &path);

private slots:
	void meshViewerInitialized();

private:
	MyMesh mesh;
	MeshViewer mesh_viewer;
	OpenGLMesh *glm = nullptr;
	QToolBar toolbar;
	QAction *open_action;
	QList<QAction *> toolbar_actions;

};


#endif
